【分享】哪个OS X版本支持哪个Xcode的版本?-阿里云开发者社区

开发者社区> 开发与运维> 正文
登录阅读全文

【分享】哪个OS X版本支持哪个Xcode的版本?

简介: 【分享】哪个OS X版本支持哪个Xcode的版本? 在安装Xcode时,会碰到跟OS X操作系统匹配的问题,对照下下面几个表,以免给自己带来编译不过或者奇怪的错误等问题 以下列表来自网络: Xcode 1.

【分享】哪个OS X版本支持哪个Xcode的版本?

在安装Xcode时,会碰到跟OS X操作系统匹配的问题,对照下下面几个表,以免给自己带来编译不过或者奇怪的错误等问题

以下列表来自网络:

Xcode 1.0 - Xcode 2.x (before iOS support)
Xcode 3.0 - Xcode 4.x
Xcode 5.0 - 6.x (since arm64 support)
Xcode 7.0 - 7.x (since Swift 2.0 support)
Version history          
Version minOS Xto run OS X SDK(s) iOS SDK(s) included other SDK(s) included downloadable iOS Simulators
7.0
10.10.4 OS X v10.11 iOS 9(13A340) watchOS2 iOS 8.4 + iOS 8.3 + iOS 8.2 + iOS 8.1
7.1 beta 2
iOS 9.1 beta (13B5119e) watchOS2;tvOSbeta
Version minOS Xto run OS X SDK(s) iOS SDK(s) included other SDK(s) included downloadable iOS Simulators

版权声明:本文内容由阿里云实名注册用户自发贡献,版权归原作者所有,阿里云开发者社区不拥有其著作权,亦不承担相应法律责任。具体规则请查看《阿里云开发者社区用户服务协议》和《阿里云开发者社区知识产权保护指引》。如果您发现本社区中有涉嫌抄袭的内容,填写侵权投诉表单进行举报,一经查实,本社区将立刻删除涉嫌侵权内容。

分享: